package com.flossom.common.core.mapper;

import com.flossom.common.core.domain.entity.WxUserInstrument;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 用户仪器绑定Mapper接口
 *
 * @author flossom
 * @date 2024-01-10
 */
public interface WxUserInstrumentMapper
{
    /**
     * 查询用户仪器绑定
     *
     * @param id 用户仪器绑定主键
     * @return 用户仪器绑定
     */
    public WxUserInstrument selectWxUserInstrumentById(Long id);

    /**
     * 查询用户仪器绑定列表
     *
     * @param wxUserInstrument 用户仪器绑定
     * @return 用户仪器绑定集合
     */
    public List<WxUserInstrument> selectWxUserInstrumentList(WxUserInstrument wxUserInstrument);

    /**
     * 新增用户仪器绑定
     *
     * @param wxUserInstrument 用户仪器绑定
     * @return 结果
     */
    public int insertWxUserInstrument(WxUserInstrument wxUserInstrument);

    /**
     * 修改用户仪器绑定
     *
     * @param wxUserInstrument 用户仪器绑定
     * @return 结果
     */
    public int updateWxUserInstrument(WxUserInstrument wxUserInstrument);

    /**
     * 删除用户仪器绑定
     *
     * @param id 用户仪器绑定主键
     * @return 结果
     */
    public int deleteWxUserInstrumentById(Long id);

    /**
     * 批量删除用户仪器绑定
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWxUserInstrumentByIds(Long[] ids);

    Integer selectUiByInstrumentId(WxUserInstrument wxUserInstrument);

    List<WxUserInstrument> selectListByUserIdAndInstrumentId(WxUserInstrument wxUserInstrument);

    void deleteByUserId(@Param("userId") Long userId);

    List<WxUserInstrument> selectListByCondition(WxUserInstrument wxUserInstrument);
}
